Bug 168364 - pam_mkhomedir debug message reports wrong directory
pam_mkhomedir debug message reports wrong directory
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pam (Show other bugs)
4.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tomas Mraz
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-15 09:41 EDT by Howard Johnson
Modified: 2015-01-07 19:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 11:49:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix debug message (501 bytes, patch)
2005-09-15 09:43 EDT, Howard Johnson
no flags Details | Diff

  None (edit)
Description Howard Johnson 2005-09-15 09:41:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
When pam_mkhomedir is unable to mkdir() the user home directory, it uses the _log_err() function to report "unable to create directory %s". The wrong variable is passed to _log_err() to be substituted for %s (source is passed instead of dest).

Version-Release number of selected component (if applicable):
pam-0.77-66.5

How reproducible:
Always

Steps to Reproduce:
1. Configure pam to use pam_mkhomedir
2. Configure syslog to log debug-level messages
3. su - to a non-root user that doesn't have permissions to make their home directory

Actual Results:  Syslog reports "PAM-mkhomedir[3087]: unable to create directory /etc/skel/".

Expected Results:  Syslog should report it's inability to create user's configured homedir.

Additional info:
Comment 1 Howard Johnson 2005-09-15 09:43:16 EDT
Created attachment 118847 [details]
Patch to fix debug message
Comment 2 Tomas Mraz 2005-09-16 11:49:52 EDT
This problem is scheduled to be resolved in the next release of Red Hat
Enterprise Linux. Red Hat does not currently plan to provide a resolution for
this in a Red Hat Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.